<?php
// execute.php (Usa este mismo archivo para update.php, insert.php, delete.php)
require_once 'Conexion.php';
header('Content-Type: application/json');

$sql = $_POST['sql'] ?? '';
$db_name = $_POST['db'] ?? '';

if($sql != "") {
    $conexion = new Conexion($db_name);
    $respuesta = $conexion->ejecutarConsulta($sql);
    echo json_encode($respuesta);
} else {
    echo json_encode(["status" => "error", "message" => "SQL Vacío"]);
}
?>